[Dev] Solution for x11 package error dependencies to differentiate between wayland and x architecture-Regarding

RAJENDRA NAIK VADTHE vadthe.naik at samsung.com
Wed Feb 12 13:47:24 GMT 2014


Hi,
There are many modules like ug-setting-mobileap-efl,ug-myfile-efl where build fails due to x11 package dependency.
x11 is required for X platform but not for Wayland.
So,the build for wayland fails if BuildRequires: pkgconfig(x11) is added directly.
Hence,Please do the following changes.

Solution
=====
On top of spec file,add %bcond_with x
%if %{with x}
BuildRequires:pkgconfig(x11)
%endif

Please let me know if there is any deviation in my observations and please let me know your thoughts.

Thanks & Regards,
Rajendra.




More information about the Dev mailing list